Issuu on Google+

THE MECCA SHUFFLE

He likes sports...and dancing, page 16

C

QUChronicle.com

Meet the man behind “I Love College (QU Remix),” page 11

The QUINNIPIAC Volume 79 Issue 21

April 7, 2010

THE

IT’S A 700 prepared for sprawling community service day on Saturday By Glenn Taylor Staff Writer The much-hyped extravaganza one year in the making is finally ready to make a big splash in Hamden and its surrounding areas. With a title that is brief and vague, but certainly appropriate, “The Big Event” is officially kicking off on Saturday, April 10, usher-

BIG

DEAL

EVENT

ing in a national community service affair that has now reached Quinnipiac’s campus. The event specifically involves teams of students dedicating several hours of community service to towns around Quinnipiac through non-profit organizations. There are 53 different teams , with about 550 student volunteers participating. With groups of approximately 10 people per site, organizations that have a scarcity of workers or resources will be receiving more help than usual. Student Government officials, Commu-

nity Action Project (CAP) members, and Big Event Committee members compose 50 more students involved. In addition, 100 extra volunteers are contributing to the event by driving other students to the events, or replacing students who cannot attend the events at the last minute. With a total of 700 volunteers partaking in The Big Event, the original expectation of 500 students has already been shattered. The Big Event is held at over 100 different colleges and universities throughout the nation.

“I attended a Student Government Conference at Texas A&M during my sophomore year,” Big Event Chairperson Jen Walts said.“Texas A&M is where the Big Event began in 1982, when a student body president decided it was time to give back to their community in a big way. Over the past few decades, the Big Event has expanded to universities across the nation, and I have wanted to bring it to Quinnipiac University ever since I returned from the conference.” Walts, currently Vice President of Public Relations for the Student Government AsBIG EVENT, continued on page 5

STOOLAPALOOZA

Junior campaign brings concert to New Haven By Nicole Celli Co-News Editor

Many passers-by of the back entrance of Hill 41B may have been confused by the sign that previously hung outside their door: “BRING THE STOOL TO NEW HAVEN.” “The stool” is short for Stoolapalooza, a college tour sponsored by well-known sports blog Barstool Sports. Juniors Jack Lamson and Matt Durrigan led the charge for getting the tour to stop at New Haven instead of Hartford. “Barstool Sports already sponsors parties at local Boston bars, but they recently teamed up with Sam Adams, a Boston-based rapper, who kids will know as the YouTube sensation who sings ‘I Hate College,’” Lamson said. Adams’ album “Boston’s Boy” debuted at No. 1 on iTunes

for hip-hop. Barstool Sports is described as “by the common man, for the common man.” “It’s a blog that has no rules, no bounds, and absolutely no moral compass whatsoever,” Lamson said. Barstool Sports, written by Dave “El Pres” Portnoy and his small staff of writers, has two separate pages for Boston and New York. Followers of Barstool are known as “stoolies.” “It’s pretty much this guy’s opinion on what happens in sports and the world,” Durrigan said. Stoolapalooza will be going to six locations in the New England area, including the University of Rhode Island, University of New Hampshire, and University of Massachusetts Amherst. “UConn is in a holy war with Quinnipiac for one of the final spots,” Portnoy said in his blog.

• State of the Art Fitness Center

Portnoy set up a bracket to compare schools, giving Quinnipiac the No. 12 seed and UConn the No. 5 seed. “The end of the blog pretty much said ‘Show me what you got,’” Lamson said, which spurred Durrigan to start a Facebook group entitled “Bring Barstoolpalooza to New Haven.” “Our Facebook group within maybe 10 hours went from zero to 300 members,” Durrigan said. “And that’s mostly Quinnipiac students and some from the New Haven area.” The group has received a strong following, with 536 members as of Tuesday, encouraging fans to spread the word and buy tickets for the show. “I’m an avid reader of Barstool Sports and I think El Pres is hilarious,” junior Alex Leach said. “He knows how to have a good time. I wouldn’t want to miss a chance of

hep.

Juniors rallied for campus support in bringing Stoolapalooza to New Haven, as seen by their Hill41B signage. --Facebook

partying with him and getting to see an awesome upcoming rapper. Not to mention it’s all cheaper than The Fray concert.” Stoolapalooza was coincidentally scheduled for April 18--the same night as The Fray. “It just happened to be on the same weekend,” Lamson said.

• Voted #1 Best Apartments to Live in

• Nature Trails, Bike & Walking Paths • Tennis Court & Heated Inground Pool

“We don’t want to take away from The Fray at all but I know that all of us and a lot of our friends will be going to Stoolapalooza instead because we’d rather see that.” Floor tickets for undergraduate students to see The Fray are $25, whereas Barstoolpalooza tickets are CONCERT, continued on page 3

Aspen Glen

Now accepting New Applications for May 1 Occupancy

(203) 288-0080 www.aspencommunities.com


2

NEWS The Chronicle

SGA Briefs By Andrew Timothy Staff Writer The Student Government Association met on March 31, 2010. Executive board -The Office of Admissions is looking for help from the SGA relating to the new Admissions Advisory Board with regards to diversity and student leadership. SGA will send a permanent representative. -SGA president Louis Venturelli met with President John Lahey regarding the student body, and discussed cords and gowns for commencement. -Lahey has agreed to hold a Pizza with the President Day, where students will be able to have lunch with Lahey. -VP of Finance Betsy Clarke will meet with Vice President and Dean of Students Manuel Carreiro about next year’s budget. -Kaite Lovett met with Professor of Biology Donald Buckley about support for non-Dell computers. -Associate Director of Facilities Keith Woodward met with the SGA to discuss sustainability on campus for next year. -An event called "Breakfast for Bobcats" will take place in Complex courtyard. Class Cabinets 2011 -The College Group at QU met with Senior Vice President for Academic and Student Affairs Mark Thompson about possible commencement speakers for 2011. 2012 -The class of 2012 discussed the possibility of Hilltop parking to be used by commuters in anticipation of next year’s housing situation for juniors and seniors who will live in York Hill. It also discussed initiating a system of shuttle lines with color codes. 2013 -Freshmen Field Day will be held on April 18. New Business -VP of Programming and SPB President Alison Tetla proposed a series of motions with regards to the SPB and SGA bylaws. These motions proposed raising the minimum cumulative GPA which one must have to sit on either group from 2.25 to 2.50, and changing the SPB technical operations chair position to Tech and Media chair. The latter operation's intent was described as necessary to encompass a broader spectrum of operations with regards to updating online entities. Other changes included grammatical technicalities. All motions proposed passed. -Freshman Catie Tobin was named SGA’s member of the month for March 2010. Open Forum -SGA discussed issues regarding mass e-mailing, an issue which relates to numerous clubs and organizations which maintain a large amount of members.

April 7, 2010

‘10-‘11 SGA Election results Executive Board members

SGA President: Vice President Vice President Louis Venturelli - 2011 of Finance: of Public Abstain - 137 Elizabeth Clark - 1870 Relations: Abstain - 261

Matthew Hudak - 1329 Kaite Lovett - 728 Abstain - 101

Vice President Vice President of Student of Programming: Vincent Bond - 1206 Concerns: Allison Skidmore - 857 Nicholas Rossetti - 986 Derek Stanley - 877 Abstain - 268

Abstain - 95

Class representatives

Class of ‘11 President:

Class of ‘12 President:

Class of ‘11 Vice President:

Class of ‘12 Vice President:

Daniel Dempsey - 262 Ben Wald - 197 Abstain - 63

Marissa Kameno - 450 Abstain - 69

Representatives: Derek Stanley, Ashley-Rose Sherman, Allison Skidmore, Ben Wald, Gina Sciame, Glenn Taylor

Jameson Cherilus - 212 Andrew McDermott - 165 Dan Scott - 127

Jamie Kloss - 333 Kali Pulkkinen - 183

Representatives: Tom Galo, Andrew McDermott, Kaite Lovett, Emily Sarnoff, Dan Scott, Esther Pew

Class of ‘13 President:

Benjamin Cloutier - 293 Camilla Gomes - 165 Abstain - 188

Class of ‘13 Vice President: Diane Ferrer - 289 Andrea Rogers - 125

Representatives: Ryan Scanlon, Erik Cote, Heidi Hitchen, Saba Shahid, Andrea Rogers, John Massa, Nikki Hurst, Camilla Gomes


3

NEWS QUChronicle.com

April 7, 2010

Got seats?

QU to host acclaimed summer film program By Jessica Solup Staff Writer This summer, Quinnipiac will play host to the 2010 Connecticut Film Industry Training Program, and according to students and staff who have participated in the past, it is well worth the time. “It was the most enlightening and educational crash course into this industry,” senior David McRorie said of the program last year. McRorie took the Assistant Directing course and learned the practical/logistics of film production such as paper work, pre-production/production process, and scheduling. This allowed him to learn class theory as well as firsthand skills on set. “I learned more during that month than I ever did during school about the logistics and workings of the film industry,” he said. “It was intense, but worth it.” The Film Industry Training Program is a one-month course that runs from June 7 to July 2. It trains people from ages 18-60 how to work on a film in a specific field. The 10 departments include Assistant Directors, Producing Office Coordinator, Script Supervision, Set Construction, Props and Dressing, Locations Management, Lighting and Grip, Camera, Sound, and Wardrobe.

In the last two years, the training has taken place at Norwalk and Middlesex Community Colleges, but this year it’s making its way to Quinnipiac University. Only one hundred applicants will be accepted to the program this year. “This is one of the best things we do at Quinnipiac,” said Liam O’Brien, chair of the Film, Video and Interactive Media department. “There is nothing like this in the U.S. It’s the only one of its kind.” Not only do students get hands-on experience from the program, but also the opportunity to build relationships with the motion picture professionals in the field. “What is amazing about the program is that the trainers are real professionals,” O’Brien said. “The actors are Connecticut residents.” McRorie came into the program with an open mind and said he participated in any opportunity he had. “Go in with an open mind. Be willing to learn every little detail you can, even if it is someone else’s department or job, because it will always come in use in the future,” McRorie said. To find out more information, contact Professor Liam O’Brien. Applications must be submitted by Friday, April 23.

Additional seating was recently added to the first floor of the Arnold Bernhard Library. The desks and chairs came after requests from the student body for more space, Associate Director of the library Janice Swiatek-Kelley said. The desks will soon be wired with electrical outlets, according to Swiatek-Kelley. --photo courtesy of the Arnold Bernhard Library

CONCERT: ‘Stool’ show coincides with Fray continued from cover $12 plus $4.75 in additional fees. “The show is all ages so anyone can get in,” Durrigan said. “It’s going to be a great night of entertainment. It’s not just one band, you get to see at least four different acts, all local stuff, and one of the rising stars of the hip-hop industry right now in Sam Adams.” Portnoy was “very moved by the commitment” from Quinnipiac,

but his biggest reason for not going to Hartford was whether UConn students would make the trip to Hartford. “The question is will UConn students travel to Hartford for this Barstoolpalooza?” Portnoy said in his blog. “Or is this too far for them. Because I’m pretty sure Quinnipiac students will riot to get this, but I originally said we’re going to UConn so the question is if I build

it in Hartford will they come?” Portnoy was drawn to New Haven even more because of The Fray concert. “He found out The Fray was coming here at the same time,” Lamson said. “We found out later that that actually made him want to come here more because he wanted to see how they would compete with The Fray.”

Want to catch up this summer? Whether you need to complete a few more credits or get ahead, take Quinnipiac courses online. Preregistration begins April 5. Go to www.quinnipiac.edu/quonline and click on “Course Offerings” or call us at 203-582-5669 for more information.


4

NEWS The Chronicle

April 7, 2010

Shouldering the weight Schweitzer Institute takes on new global initiatives By Meghan Parmentier Co-News Editor Though the semester is soon coming to a close, the Albert Schweitzer Institute is revving up by adding a heap of new programs and expanding upon old ones. Although the Alternative Spring Break trip already took place, several more will be made this May. According to David Ives, Executive Director of the Albert Schweitzer Institute for eight years, watching students learn and change is the most important reason for

him to continue programs like the Alternative Spring Break trip to Leon, Nicaragua. “It’s impactful when you go to another country and run into someone living in a cardboard box. It shocks you,” Ives said. “I’ve been in 45 countries, seen awful situations of poverty, and it still shocks me.” As part of a program that has been in place for the past five years, MAT majors will travel there to train teachers. Students in the areas of political science, nursing

and theater will be travelling to Nicaragua and Guatemala. One focus of these trips will be to look at the effect of Post Traumatic Stress Disorder on soldiers. “Both of these countries have had wars in their countries for 20 to 30 straight years,” Ives said. “We still have a serious problem when soldiers go to Iraq for a year and come back for a break. There they don’t have a break, so I think it’s worse.” The political science and theater students will work on this issue. A psychologist will go along to meet

with veterans. gation works so hard and embraces Senior business management the culture is truly rewarding,” Tsamajor Christopher Tsagaris is the garis said. student-leader for the trip to GuateOnce in Guatemala, Tsagaris mala this upcoming July. He has the and fellow students will be working role of meeting with Ives to discuss on building a new classroom. Last potential student delegates, as well year they began another classroom as promoting the trip and fielding and were able to see pictures of any questions students might have. continued on facing page “To be able to lead a “I’ve been in 45 countries, seen fresh group awful situations of poverty, and of faces into it still shocks me.” Nicaragua, --David Ives, and see how Executive Director, ASI the new dele-

--Facebook

EARN 3 CREDITS HERE ONLINE MARIST SUMMER COURSES ALLOW STUDENTS TO EARN COLLEGE CREDITS ANYWHERE

Quinnipiac University Student Worker Appreciation Day!!!

Wednesday April 14th 9am – 4pm Prizes, Give-Aways & Food!!! Student Center Room #117B

Ask your supervisor for more details WWW.MARIST.EDU/SUMMER


5

NEWS QUChronicle.com

April 7, 2010

of the world BIG EVENT: continued from facing page the local hospital. the finished product after their return to Students will have the additional opporthe United States. tunity to shadow the nurses in various units “It is important to understand that this and assist them when possible. In the area work that we do is what will help to change they will be staying, there is only one clinic our world for the better. What we do is impacting the lives of real “The joy that you feel knowing that you people,” Tsagaris said. “We are helped someone is indescribable and able to see the immediate impact and influence we have on the lives something that everyone should strive for.” of these Nicaraguans and Guate--Christopher Tsagaris, malans. We are in a unique posiASI student-leader tion to be able to help better the lives of many natives. The joy that you feel knowing that you helped someone is that has limited medical care. It is only on an indescribable and something that everyone intermittent basis that a pharmacy and pharshould strive for.” macist is present. The students will be spendAssociate Professor of Political Science ing time at the clinic providing medical and Sean Duffy will be leading one of the recently nursing care, aiming to support the nurses and added trips in May. He will be leading stu- physicians in providing care to the community dents to Nicaragua for the first time, studying members seeking medical assistance. the effects of sugar, how it is raised and the “Not only do we assist the people in effect it has on the economy. Nicaragua but we also benefit from this exProfessor of Theater Crystal Brian will perience as well,” Moynihan said. “We are also be travelling to Nicaragua with a group of welcomed by everyone that we meet and leave students for a newly added theater program. with a feeling of enrichment and sadness at Last November, students in Nicaraguan el- leaving a community that we have been a part ementary schools, primarily fourth through of and have formed friendships that are hard seventh grades, kept journals and answered to forget.” questions about their lives on a daily basis. According to Moynihan, the nursing These questions ranged from what their main program plans to continue to return there to worries are to what their lives are like. The ju- further develop and expand their medical sernior and senior Quinnipiac students will make vices. a play about the lives of the children while The Albert Schweitzer Institute is curthey are there to celebrate the lives of the Ni- rently hosting a new exhibit of pictures from caraguan students. recent trip accomplishments and encounters. Additionally, eight nursing students The exhibit will be up until the end of the will be led by Professor of Nursing Barbara semester. Moynihan for a one week trip. “I’ve been able to accomplish a lot more The nursing students have been asked than anyone thought we would when I came to develop a seminar that will focus on stress here eight years ago, but I now see the pomanagement and grief. In Nicaragua, the stu- tential,” Ives said. “The ASI is now a player dents will present this seminar to the nurses at around the world.”

Students look to the sunset on their recent Spring Break trip to Nicaragua.

Bobcats brace for service day

continued from cover sociation, has spearheaded the planning of this event since April 2009. Her proposals to SGA, CAP, and the Council of Presidents garnered their support for the project and helped her create the Big Event Committee this past fall semester. The Big Event Committee includes eight chairs who each oversee their specific department: Big Event/Finance Chair (Walts), Volunteer Recruitment (Hillary Federico), Community Outreach (Melissa Trinks), Publicity (Emily Sarnoff and Ashley-Rose Sherman), Service Learning (Katie Bourassa), Event Logistics (Andrea Carlone), and Site Logistics (Jamie Kloss). The committee itself meets every week and has been the primary outlet for planning The Big Event. Quinnipiac’s Big Event Committee kept in contact with Virginia Tech’s Big Event Expansion Chair, Stephanie Ward, throughout the planning. (Virginia Tech is one of the universities holding The Big Event.) Ward commended the efforts of the Committee in an e-mail, saying “700 volunteers for your first event is outstanding! We definitely didn’t have that many when we first started The Big Event here! It sounds like you’re doing an awesome job with this event!” “The fact that Virginia Tech is excited

--Facebook

Escape the mundane! Shop an Engaging Selection of Clothing, Jewelry & Gifts by Fair Trade & Local Artisans Hamden Plaza 2100 Dixwell Avenue Hamden, CT 203.230.0039 shopdava.com

about our number of volunteers is amazing, and we are proud to say that registration resulted in an overwhelming turnout,” Walts said. The organizations the students will be working with are broken up into six categories: Educational Sites, Nature Sites, Medical/Research Sites, Youth Service Sites, Elderly Service Sites, and Community Outreach. “When all is said and done, we want Hamden and the surrounding communities to know that Quinnipiac students care,” Walts said. “Students are thankful to be a part of the community we belong to, and residents of Hamden don’t always see that side of us--especially because of some of the negative media coverage we receive. Students involved in this event are passionate about giving back, and when provided the opportunity, they leaped at the chance to do community service.” The Opening Ceremony will be held April 10, at 9 am on the Quad, where both Hamden Mayor Scott Jackson and New Haven Mayor John DeStefano are set to be the opening speakers.


6

Opinion The Chronicle

April 7, 2010

Marijuana reform stirs the pot Reform has a capability that almost anyone can agree is a positive: destroying crime. Drug cartels and the illegal drug market of marijuana, along with the arrests and murders that go with it, will cease to exist.

By Phil Nobile Staff Writer As of Thursday last week, it was announced that in California, the “Regulate, Control, and Tax Cannabis Act of 2010” would be featured on the November ballot. For the first time, weed may become another item at the drug store. To quote Mark Binelli’s Rolling Stone write-up entitled “Marijuanamerica,” “Now, as the economy has cratered and millions of Americans have found themselves forced to rethink their livelihoods, there's a growing feeling that the country can no longer afford its longstanding prohibition on marijuana — a sense, for the first time since the ‘70s, that pot could soon

be decriminalized in many states, or even made fully legal.” More and more people are beginning to realize the enormity of the announcement last Thursday. Baby steps have been taken over the past 30 years like Proposition 215 in California that has allowed possession and cultivation of medical marijuana and other smaller movements. But these steps have almost been destroyed, with the Los Angeles Council recently shutting down hundreds of medical marijuana dispensaries and pot clubs. It seems that every action toward marijuana reform has been met with an equal and opposing reaction. There are high hopes, however, that this will not be the case come November.

To give a bit more detail on the act proposed, it would allow individuals 21 years and older to possess, cultivate, or transport marijuana for personal use. The local government is permitted to regulate and tax commercial production, which, when taking into account California’s faltering economy and the estimation of marijuana taxes bringing in over $15 billion in illegal revenue, is a very important factor. The bill points out various and important facts about marijuana: cannabis has fewer and less harmful recorded effects than alcohol and cigarettes (both of which are legally sold to adults) the criminal aspect of the product causes an unnecessary underground drug market that could be destroyed with the passing of the law, and oth-

SGA Update Hey Bobcats! It is with great pleasure that I start this memo by congratulating all of you for participating in one of SGA’s largest voter turnouts! With more than 2,150 votes, the student body has successfully elected a new Student Government Association that will continuously work to improve the quality of student life here at Quinnipiac. Through the leadership of the current Student Government Association, we have carefully focused all of our time on improving relations in the four following areas: service to students, service to community, collaboration with faculty, administrators and staff, and finally, internal success in our operations and leadership. I am confident that the newly installed officers of the 2010-2011 Student Government Association will continue the success, and will also come to add their own accomplishments as time goes by. Please know that the Student Government Association consistently strives to make Quinnipiac a better place to live, learn, and grow on your behalf. We welcome any opportunity for you to get involved on the Quinnipiac campus and look forward to promoting leadership and personal growth within the QU community. My door is always open – Live the Legend, Lou Venturelli PS – I’ll see you at the Big Event! Saturday, April 10 at 9 a.m. in the Burt Kahn Gym – participants must be registered on teams prior to involvement. PPS – Follow me on Twitter for SGA Updates – @LouVent.

er persuading factors. But is this the right direction? Is America ready for marijuana reform? Thinking about it, I’d say the benefits outweigh any possible consequences. Without a doubt in my mind, it is easier to obtain marijuana than alcohol, and a lot of people will attest to this as well. This is because an illegal and apparent drug like marijuana, both cheap and easy to find, is ever ywhere. I wouldn’t need a 21-year-old with a car and willingness to buy for minors, or a $150 fake ID to buy as much weed as I could get my hands on. So to those worried about it all of a sudden being found in everyone’s hands, they should instead understand that if anything, it will be

LETTER TO THE EDITOR

I have ‘lost faith’ due to SGA elections

Being a member of the Student Programming Board (SPB) has given me a purpose at Quinnipiac University outside of my academics. Unfortunately, I have lost some faith in this community due to the recent results from the SGA election. SPB is unable to directly elect the president of our organization because we are a standing committee of SGA. The relationship between SPB and SGA is not the concern right now; the concern is why the members of SPB cannot have their voices heard in the election of their very own president! It has been brought to my attention that in the past five years, SPB has not had the person that the majority of the members wanted for a president. It seems unfair that the election of our president is placed into the hands of the student body when the students who are part of SPB and know the members best have such a small influence over the outcome. It appears as if the election has become more of a popularity contest rather than choosing the best candidate to run our organization. And who would know that better than us, the members of SPB? QU community what do we need to do? John Doe

Send your letters, comments, opinions, cartoons, and spare change to:

thequchronicle@gmail.com Quinnipiac University 275 Mount Carmel Avenue Hamden, CT 06518

Publisher/General Manager Editor-in-Chief Senior Managing Editor Managing Editor Advertising Manager Photography Editor Assoc. Photography Editor Co-News Editor

Andrew Vazzano Andrew Fletcher Joe Pelletier Tara McMahon Caryn Mitchell Caiti Kaminski Amanda Shulman Nicole Celli

harder for minors to obtain. It will become an adult item foremost, not an item that can be flipped between hands in high school hallways. Reform has the capability that almost anyone can agree is a positive: destroying crime. Drug cartels and the illegal drug market of marijuana, along with the arrests and murders that go with it, will cease to exist. What it will be replaced with is profit. That $15 billion figure stated previously doesn’t include the savings that will come from removing marijuana from the “war on drugs.” Not only does marijuana as the prominent modern American cash crop save money, it will also save jobs. The possibilities of new companies, corporations and jobs in every department from labor to advertisement are endless. With an entire new market comes new workers, and a completely new future for California. There are benefits to marijuana reform. The potential benefits far outweigh the risks, and hopefully in November, others will realize this too.

Co-News Editor Opinion Editor Scene Editor Arts & Entertainment Editor Sports Editor Assoc. Sports Editor Copy Editor

(203) 582-8485 QUChronicle.com Twitter.com/QUChronicle thequchronicle@gmail.com

Meghan Parmentier Julia Bucchianeri Mary-Catherine Dolan Matt Busekroos Lenny Neslin Tim Pelrine Jamie Hill

The Chronicle is the student-run newspaper published weekly for the Quinnipiac University community. The editorial staff is solely responsible for all content and editorial policy. Letters to the Editor should be between 250 and 400 words and must be approved by the Editor-in-Chief before going to print. The Chronicle reserves the right to edit all material, including advertising, based on content, grammar and space requirements. All Letters to the Editor must be signed with author’s name, phone number, and e-mail address. The opinions expressed in this paper are those of the writers and not necessarily those of The Chronicle.


7

Opinion QUChronicle.com

April 7, 2010

What’s your definition of success? some By Christine Burroni Staff Writer

Starting at a very young age, the standard of success is preached to us by our parents, teachers and even the media: Graduate high school, go to college, get a stable job, get married, and have kids. Right? As life goes on, this standard slowly deviates according to the lives we live. With that said, the question arises: How do we measure success and what does it mean to be successful? In grammar school and high school, getting “student of the month,” making honor roll, being a star soccer player, and getting any other prestigious award meant success. Throughout high school, we’re taught to be the best we can be, to be determined and to even strive for perfection, leaving no room for error. However, throughout these years, we adapt to our own abilities and skills. We get used to what we can and cannot do and we tend to stay within that medium. Is the person who is content with his or her life successful? Is when we’re content with our lives the point where we can we stop trying to be perfect? There are the overachievers, the people that just get by, and then the, dare I say, underachievers. On a college campus, the overachievers are the people on the Dean’s List, involved in at least three organizations and friends with everyone. They have a lot of connections, and in general, have a lot going for them. More power to them, right? The “people that just get by” have decent grades, are maybe involved with one or two organi-

zations and have their group of friends, maybe venturing out once in a while. The underachievers, a term which is pretty self-explanatory, consider their grades to be negligible and only leave their dorm room to eat and party. They also have a few friends and acquaintances. These stereotypes prove to be true for the most part. I’m positive when thinking of your friends and people you know, you can place at least one person in each category. I’ve learned through many experiences including the collegesearch process and getting through my freshman year that only you can set yourself up for success. How well you perform academically or

ginning. Are we trained to do our best and strive for perfection so we can be happy? Considering that what you do now can predict your life later on, maybe it’s a good thing that we were taught to be “perfect” at such a young age, so we will ultimately be happy. Depending on your viewpoint, happiness and success can be considered very similar or very different. There are people who slave away at their desk at school or in a career with a great GPA or salary but are never happy. On the contrary, there are people who are always happy, taking school work or careers with a grain of salt, making their happiness a priority. I believe that making your

It is indeed possible to be happy and successful, it just takes a lot of work to get to that level.

socially, ultimately predicts your future. Individually, our lives can lead us in many directions - successful or not. Depending on our drive or our level of content, we may or may not consider ourselves successful. There are people whose grades are always high, or whose lives are always perfect. On the other hand, there are people that have average grades, or a job that allows them to just get by. But in either case it’s possible for these people to be living happy lives and ultimately considering themselves to be successful. Is that the answer? Is success measured by how content we are with our lives? Or vice versa? What comes first: success or happiness? This brings us back to the be-

happiness and quality of life a priority ultimately leads to a better life, but it is not equivalent to being lazy, or ignorant about your schoolwork. It is indeed possible to be happy and successful, it just takes a lot of work to get to that level. Consider this within the last five weeks of school, when the weather should be gorgeous and when all we want to do is be on the Quad (happiness), we should really be concentrated on getting through these weeks filled with papers and finals (success). Although happiness and success aren’t dependent on each other, they are definitely associated. So who says you can’t have both? It’s definitely possible.

Concur? Dissent? Let us know at quchronicle.com

drivers are dumb Certain people live life in the stupid lane After driving back and forth for the holiday, anyone could become a little susceptible to road rage. Here are some of the drivers you love to By Lindsay Roberts Staff Writer hate while driving. The non-blinker- This is one of my greatest driving pet peeves of all time. Even when I see it coming and know I am about to be cut off in my lane, I cannot help but think if they are going to be rude and make me slam on my brakes, they might as well flash it in my face with their blinker. Another favorite is when the vehicle in front of me decides to make a surprise turn. If only the driver could hear me question his or her intentions as they slow down, and then my outburst when I realize they have decided to turn without letting me know. The sleeping driver- I have seen this a few times in my life, and to be able to say that is pretty scary. I notice these drivers when --VH1 I am in the passenger seat, which makes me wonder if I have missed a few while I was the one focusing on the road. I like to tell myself when I see someone with their eyes closed and their hands on the steering wheel that they were just indulging in a really long blink. However, I have found it harder to convince myself of this when the persons’ head is leaning back and their mouth is open. Multitasking to the extreme- Texting with the phone in front of their face, fiddling with the radio stations or an iPod, applying enough eye makeup for a prom, eating with a fork, turning around to yell at children in the backseat. The list of what has been done while driving could go on and on. My favorite observation, although she was actually a passenger, was a woman on the back of a motorcycle reading a romance novel. The minivan in the fast lane- OK, so it doesn’t have to be a minivan, but you can’t tell me you didn’t just get the perfect visual of a time in your life when you were stuck behind one. Whatever vehicle and whoever decided to take a Sunday drive on the highway in it, the dynamic duo have the unrestrained desire to piss off everyone on the road. The epidemic has become so serious that now it seems the slow lane is for those who have lost patience with the slow drivers in the middle and fast lanes. The motorcyclist who thinks he’s cool- It doesn’t have to be someone on a motorcycle, because I have seen plenty of small sports cars weaving in and out of traffic. But what I think irks me is something about these Harley Heads that they think the cars behind them look at them with envy as they sneak through small passageways. Sure when I am stuck in traffic I might feel a twinge of jealously, but more than that I just feel sorry that they look so stupid while they think they look so cool.

From the Web Unedited comments from “SGA Election Results”

e ons p s re e r e d o n om d a re p o s t ic le .c n h ro q uc

(Posted by “One-party Rule” on April 1)

Yup… SGA – SigEp Government Association. Will the exec board meet during the SigEp chapter meetings? Can we just skip next year’s election and wait for SigEp to come out of their conclave and let us know who the next pres will be? So yeah, tell me when there is an SGA that actually represents the student body as a whole.

(Posted by “Non Greek” on April 2)

The reason that a majority of SGA is Greek has more to do with the fact that the type of person who is most likely to join a fraternity/sorority is the type of person who will run for SGA. Greek life at this school allows students to develop the leadership skills that enable them to be effective SGA members. You can say that SGA does not represent the campus as a whole, but that would be the fault of all the students who do not run for SGA. If you have a problem with who is in SGA and what they do, then you should run next year and do something about it.


8

Arts & Entertainment The Chronicle

April 7, 2010

I’M ON ECSTACY I’M A BEAUTY QUEEN I HAVE FRIENDS WITH BENEFITS I AM CELIBATE I LIVE IN A BROTHEL I’M GOING TO FAT CAMP I LIVE A DOUBLE LIFE I’M HOMELESS I’M A JERSEY SHORE GIRL I DON’T LIKE MY LARGE BREASTS I HAVE SCHIZOPHRENIA I’M AN ALCOHOLIC I STUTTER I WANT THE PERFECT BODY I’M THE NEW KID IN TOWN

10 years of

T

TRUE LIFE

By Nicole Fano Staff Writer

rue Life: I’m going to fat camp, I have friends with benefits, I live a double life, and I am celibate. The following are some of the several taboo topics exposed on MTV’s “True Life.” The Emmy Award-winning documentary series “True Life” follows several young individuals facing the same controversial issue. The tenth season began on March 15 with its premiere episode, True Life: I need a transplant. “True Life’s” appeal stems from its controversial episodes that are serious, informative, and even heartbreaking. On the other hand, “True Life” is also known for its hilarious exposure of trashy people who bring problems, both small and large, upon themselves.

Season 4 episode True Life: I’ve Got Baby Mama Drama, features young single moms and dads who experience the challenges of raising a child with little help from their exes. The goal of this episode helped her raise awareness about the consequences of unprotected sex. The episode’s popularity sparked similar episodes such as True Life: I’m pregnant, True Life: I’m placing my baby for adoption, and True Life: I’m having twins. Perhaps these episodes of “True Life” inspired MTV’s current shows “Teen Mom” and “16 and Pregnant.” Snooki and The Situation weren’t the first to broadcast their guido/guidette antics on MTV. Season 5 featured True Life: I’m a Jersey Shore girl. The episode follows Lisa, Dottie, and Erica as they rent a house for the summer in infamous Seaside Heights, N.J. Although none of the girls were punched in the face, viewers got a full dose of clubbing, drinking, tanning, hooking up, and of course, that undeniable Jersey accent. Maybe Snooki should thank these women for her current 15 minutes of fame. Season 7’s episode, True Life: I Want the Perfect Body 2 follows three individuals who attempt to sculpt their idea of the perfect body. Rebecca is preparing for a

fitness competition. To have any chance of winning, she must quickly build muscle and decrease body fat. Ryan, a 5-foot-3-inch jockey wants to be one of the top five jockeys in the nation. In order to achieve his dream, he must gain weight while staying under 112 pounds. Kevin --mtv.com was named the strongest teenager in the United States. His goal is to become a professional strongman. To prepare for a competition, Kevin must gain weight and partake in grueling workouts to improve strength. True Life: I Have Tourette’s Syndrome premiered in Season 8. The episode follows Lou, Alyssa, and Jeremy as they desperately try to control their neurological disorder that causes involuntary body movements and verbal outbursts. The episode’s

I’m a Jersey Shore girl

most memorable moment occurs when Alyssa lashes out at her grandmother for not painting her toenails correctly. Although Tourette’s syndrome is nothing to laugh about, the episode generated a large amount of media attention and a multitude of Facebook bumper stickers. True Life: I Have Embarrassing Parents 2 aired in Season 9. Fifteen-year-old Niki can’t stop her midriffwearing mom from acting like a Playboy bunny. At a birthday party, Niki’s mom starts flirting and grinding with her daughter’s friends. Holly, Millie, and Candy are triplets whose parents are clowns in the Ringling Brothers Circus. When the girls throw a party at their house, their parents dress as clowns and taunt their friend who is terrified of clowns. “True Life” first premiered in 1998 and has since aired 216 episodes. The series has covered over 140 topics ranging from drug use, sexuality, financial issues, traveling, plastic surgery, behavioral issues, and many more. With its longevity and sustained popularity, “True Life” continues to push social boundaries and open the door for discussion on a wide scope of --mtv.com issues.

I have Tourette’s Syndrome

The UPS Store’s Summer Shipping and Storage for

Quinnipiac University

Dreading move out? We can help!! How it works To make arrangements e-mail us at: store2233@TheUpsStore.com. We’ll pick up your stuff right from your dorm room or other housing arrangements by appointment. Any boxes and tape you need is available for purchase. After pick up, we store your fridge, microwave, futon, clothes, trunks and anything else for all summer long or longer if needed in our secure, state-of-the-art storage facilities or you can have any items shipped home with UPS. Then, when you are ready to go back to school, we’ll bring it back to your dorm room.


9

Arts & Entertainment QUChronicle.com

April 7, 2010

RAVE of the week

Culture Shock

‘United States of Tara’

--FOX

--Showtime

Showtime’s “United States of Tara” recently returned for its second season and it hit the ground running. Toni Collette portrays Tara Gregson, a middle-aged housewife with Dissociative Identity Disorder. This is a severe condition that alters Tara’s personality, and turns her into different people. Tara’s current four known alters include a 15-year-old girl, T; Buck, a cigarette-smoking, combat-boot wearing man; Alice, a prim and proper housewife from the ‘50s; and some unknown animalistic creature that is not quite human. It is no surprise that Collette has recently won an Emmy and Golden Globe for her performance, which allows her to completely sink her teeth into such meaty characters. Credit should be given to Brie Larson, who plays teenage daughter Kate, and Keir Gilchrist, who portrays teenage son Marshall. Gilchrist specifically plays one of the more layered characters as Marshall struggles to come to terms with his sexuality after his experience with church enthusiast Jason (Andrew Lawrence) when the two shared a lip-lock last season. John Corbett and Rosemarie DeWitt are fine supporting players as Tara’s husband and sister. Specifically, DeWitt is criminally underused and deserves more screen time after her dramatic breakthrough in the 2008 movie “Rachel Getting Married.” “United States of Tara” is funny and dramatic, just like Tara’s alters, and is one to watch. --MB

WRECK

of the week

Kate Gosselin, ‘Dancing with the Stars’

--ABC

This season of “Dancing with the Stars” is not without drama as Kate Gosselin of TLC’s “Jon and Kate Plus Eight” has joined the realityABC show. Kate is not so much a dancer as she is an entertainingly dramatic, shriveling mess who keeps us glued to the television. Waiting for Kate to actually not annoy us is like waiting for the disco ball to fall on her head—it will never happen. As Kate shimmies in her sequined outfits every week, we like to reminisce back to the old Kate. There was a time when Kate did not have any nannies and actually worked a 9 to 5 job as a nurse. Now, she is spending her days rehearsing, tanning and doing publicity. Meanwhile, her eight children lack the permanent presence of their father (which may actually be a good thing since he is a child himself) and are surrounded with a troop of nannies. Watching Kate dance is akin to sitting through one of those painful film strips from elementary school: painful and never ending. Kate and dance partner Tony Dovolani have a frustrating relationship. At one point last week, Tony walked out on Kate and said, “I quit.” When he returned, Kate felt the need to mention that “A lot of people quit on me in life” (a surefire dig at ex-husband Jon). Let’s see how much longer this reality show diva lasts on a show featuring other “stars” past their prime. (All except awesome astronaut Buzz Aldrin) --MB

GLEEFUL RETURN By Matt Busekroos A&E Editor

After a torturous four-month hiatus that would even send chills down Sue Sylvester’s spine, Fox’s musical comedy “Glee” is returning for the last nine episodes of the season. When the Golden Globewinning series last aired, William McKinley High School glee club New Directions won sectionals with last minute routines. Songs “Don’t Rain on My Parade” and “You Can’t Always Get What You Want” helped net them a win after Cheerio’s coach Sue Sylvester (Jane Lynch) leaked the original set list to the competitors. Glee club director Will Schuester made his intentions clear and kissed OCD clean freak guidance counselor Emma Pillsbury (Jayma Mays) not too long after leaving his wife Terri for lying about her pregnancy. With the series return, fans can expect a number of covers in the first episode back, including Lionel Richie’s “Hello,” The Doors’ “Hello, I Love You,” The All-American Rejects’ “Gives You Hell,” AC/DC’s “Highway to Hell,” Neil Diamond’s “Hello Again” and The Beatles’ “Hello, Goodbye.” Also, the long-awaited episode featuring all Madonna tunes aptly titled “The Power of Madonna” airs April 20. The last nine episodes will showcase the glee club’s attempt at regionals. They will have the overwhelming task of defeating rival glee club Vocal Adrenaline. Vocal Adrenaline was previously showcased in the first episode of the series when they performed a rousing rendition of Amy Winehouse’s “Rehab.” Broadway’s original Elphaba in “Wicked” Idina Menzel joins the

show as their choir director. Menzel coincidentally looks a lot like Lea Michele, who portrays the frumpy, yet determined member of New Directions, Rachel Berry. It’s been rumored that Menzel’s character will reveal herself as Rachel’s mother, though a number of the show’s writers have shot that notion down. Michele’s co-star from Broadway’s “Spring Awakening,” Jonathan Groff, will appear as a possible love interest and member of her competition, Vocal Adrenaline. In addition to Menzel and Groff, Kristin Chenoweth is set to reprise her role as April Rhodes, a washed-up, former star of New Directions who never ended up graduating high school. Victor Garber and Neil Patrick Harris are also expected to guest in the final set of episodes. The first half of the season succeeded in establishing a voice of the show. Now the writers must find a consistent tone that will steer the show to more fluid success. The shift between comedy and drama in certain episodes was jarring. There could be a fun performance from the glee club members and almost suddenly without any sort of transition there is a heavy dramatic scene between any of the characters. While Lea Michele is supremely gifted and talented, the writers need to focus more on the other members of the glee club like Artie (Kevin McHale), Tina (Jenna Ushkowitz), Mercedes (Amber Riley) and especially Kurt (Chris Colfer). There are numerous untapped stories featuring those characters and they deserve more screen time. Not to mention dumb as rocks Brittany (Heather Morris), who steals every scene she is in. “Glee” finally returns April 13 at 9:28 p.m. on FOX.

Comedian Rob O’Reilly is performing in Café Q on Friday from 10 – 11:30 p.m., sponsored by QU After Dark. O’Reilly has made appearances on Comedy Central’s Live at Gotham and NBC’s “America’s Got Talent.” Former “Desperate Housewives” star Nicollette Sheridan is suing creator Marc Cherry on charges of assault and battery, gender violence, wrongful termination, and “intentional infliction of emotional distress.” Sheridan alleges that after questioning a script, Cherry “forcefully hit her with his hand across her face and head.”

Actor John Forsythe died on April 2 after a lengthy battle with cancer. Forsythe was the voice of “Charlie” on the hit ‘70s series “Charlie’s Angels” and famously portrayed Blake Carrington in the ‘80s on the ABC primetime soap, “Dynasty.” Director Noah Baumbach and actor Ben Stiller are in talks to team up for an adaptation of classic 1938 children’s novel, “Mr. Popper’s Penguins.”

Actor Kal Penn is leaving his position at the White House as Barack Obama’s associate director of public engagement. Penn’s first gig is a third “Harold & Kumar” film.

Soundgarden, Green Day and Lady GaGa are set to headline this year’s Lollapalooza Festival, which occurs August 6 – 8 at Chicago’s Grant Park. Performances from Arcade Fire, MGMT, The Strokes, Phoenix, Spoon, Hot Chip, Cypress Hill and The Black Keys are also expected.

Hey freshmen! Start Friday night right with a nice cold mocktail!

Tiki Party

Where: Perlroth Mall When: Friday, April 9 Time: 5 - 7 p.m.

Sponsored by Commons, Irma/Dana, Ledges and Suites RA’s


10

Scene

7

The Chronicle

April 7, 2010

Sarah’s Style Corner

ways to stick a job interview

by Mary-Catherine Dolan

With summer approaching and internships and jobs hiring, many interviews are taking place right now between students and employers. The competition is steep. Some are seasoned pros in the art of sitting down and answering questions, while others are just becoming familiar with being interviewed. Wherever you are in the process, it is always good to be prepared with a few tips on hand to make yourself stand out in a sea of job searching hopefuls.

1.

Do your research. Whatever company you are interviewing with, make sure you have researched them. Know the manager or boss’s name, know any recent productions or events the company has been involved with and know what exactly the job you are applying for is requiring. If you seem interested in the company and its current events, chances are they will be interested in you.

Have your resume tweaked. Even if the place you are interviewing at has your resume, touch it up right before. Have an extra set of eyes look over it to double check for cohesiveness and proper grammar. The deans of career services in the schools at QU are more than happy to look over your resume.

3.

Dress to Impress. Interview attire should be as professional as possible. Suits for both males and females are a good option. Even if you are applying for a fashion magazine, experts say it is best not to be too trendy. You want your first impression to be taken seriously- your interviewer should be focusing more on you than your outfit.

Practice. It may sound silly, but practicing your interviewing skills out loud will help you during the meeting. Be prepared to talk about yourself and your accomplishments. Make sure you are pronouncing your words correctly. Anticipate the questions you will be asked.

5.

2. 4.

Practice good interview etiquette. There are common dos and don’ts of interviewing that people sometimes forget the morning of their big day. Eat breakfast that morning- food in your system will calm your nerves and keep you more focused. Make sure you arrive early or right on time. If you don’t know where the location is, leave extra early. Don’t chew gum. Relax! Make sure you properly pronounce your interviewers name, stand up when he or she walks in and give them a firm handshake.

Ask Questions. A future employer will almost always ask their interviewee if they have any questions. Answering no looks like you are a know-it-all or don’t really care about the position. Don’t be afraid to ask the questions you are really thinking. You will come off as looking more interested.

6.

7. Campus Couture

Follow up with a Thank you note. It’s easy to send a quick E-mail to the person you met with. A hand written thank you note is memorable and shows you took the time out of your day to do it. Thank your interviewer for their time meeting with you and express your interest in hearing from them shortly.

--madonna.com

Like Madonna, like daughter By Sarah Rosenberg Staff Writer At 13 years old, my fashion sense was not sharp. I was still at a phase in my life where I thought Sketchers sneakers and denim skirts were the ultimate pair. However, at 13 years old, I didn’t have a celebrity mother to look up to either, who dons designer duds on the way to get a cup of coffee. I’m sure someone like Lourdes, the daughter of legendary pop star Madonna, has retained a heightened fashion sense after experiencing that firsthand. Madonna, who counts fashion designers as her top comrades, is a pro when it comes to dressing right. Her style has revolutionized from her famous bullet bras, lacy fingerless gloves, and fishnet tights. Similarly, she has relayed her refined style to her adolescent the daughter with a magnificent result: pairing together to start a junior fashion line for Macy’s. The title of the new line is fitting: Material Girl. Because, really, what else could Madonna’s daughter possibly be? Granted, she’s not sporting a bright pink gown and pearl accessories around town like her mother did

NAME: Alysse Zaffos AGE: 18 YEAR: Freshman HOMETOWN: Syosset, Long Island, N.Y.

in the video for the song of the same name. But, let’s be real. For a young girl barely out of childhood, the girl’s got taste. Thanks to the ever-present paparazzi, Lourdes has been spotted wearing outfits that could be featured in a photo spread. Leather fitted bomber jackets, pinstripe vests, high-top converse with skinny denim, teal blue fedoras, leg warmers, and bubble skirts are only a few examples in her mominspired fashion repertoire. So I would say she is an indefinite “Material girl.” If your mother is someone like Madonna who has an envy-worth closet, it is sure to be raided. According to Madonna, Lourdes is already keen on swiping the most expensive and stylish pieces from her wardrobe. Part of me believes that Lourdes’ ability to dress so well stems from the fact that she has access to one of the world’s biggest celebrity’s closet. I can only imagine the contents inside. I envision a time capsule of Madonna’s famous on-stage costumes, red-carpets dresses, and music video get-ups, with the decades’ most coveted styles represented on every rack. continued on page 11

Day Spa & Hair Design

Simply a J oyfu l E x p e ri e n c e WHAT ARE YOU WEARING?

Yellow Swellers concert t-shirt, Pac Sun jeans, black Vans, black and white Jac Vanek bracelets, and checkered sunglasses from Target.

STYLE INFLUENCES? “My style is influenced by the music I listen to. I like supporting the music I enjoy by wearing band t-shirts.” --by Stephanie Osmanski

For Students and Faculty: Take an additional

10%Off any service with your

Receive a complimentary Express Pedicure with a full Set of Artificial Nails

ID card. Early morning appointments and Evenings available. Exp. 04/30/10

(203) 281 1242

2349 Whitney Ave. Hamden, CT www. joiyadayspa.com


11 1

Scene QUChronicle.com

April 7, 2010

The undercover rapper He’s garnered some campus fame for penning and producing ‘I Love College (QU Remix),’ but freshman Tommy Frisina doesn’t do it for the attention By Phil Nobile Staff Writer As dusk approaches the quiet Quinnipiac campus, most students are eating with friends, finishing work, or planning for events later that night. Tucked away in a corner of Larson College Hall is a student working methodically in low light, not on school work, but on something bigger. It’s 7 p.m. and the setting sun is barely strong enough to illuminate the room. This is the way Tommy Frisina likes it. “I like to be alone,” said Frisina in between computer keystrokes. “When I have quiet and calmness around me, I can feel the music.” Without taking his attention away from the monitor, he continues to fiddle with various switches on his beat program. Sitting on the desk among the computer lay empty water bottles, a half empty can of Hollister spray, stained shot glasses, Xbox controllers, and a faded Vans wallet. A modern musician’s workspace. From the tiny computer speakers come various instruments: a barrage of crashes, bangs, bells and beats. Stroking his trimmed goatee, the music-maker sifts through various sounds, waiting for the right one. All of a sudden, a drum line comes on. The simple track repeats over and over, with Frisina cycling

through different elements until finding an appealing addition. Sitting on his bed with his feet on the computer chair, he leans back for a second against his bedside wall. A vintage Godzilla poster looks down approvingly. “Nah, too dark,” he mutters under his breath. After playing the work in progress out loud again, he pauses it, and mimics a beat out loud to his liking, then puts the track back on. After a few more final inclusions, he plays the track from the start: a simple and catchy tune, ready for vocal recording. This has been the formula for freshman Tommy Frisina during his first year at Quinnipiac. Frisina, known by the rapping alias “Tommy F,” has brought his Long Island sound to Quinnipiac in a quiet storm. “I’m kind of modest about everything I do,” Frisina said in an interview in his Larson room. “People don’t know I’m a rapper ‘til they accidentally hear a song.” Rapping has been a part of Tommy’s life since the days of middle school in East Islip, Long Island. Citing 50 Cent as his main influence, Frisina has been slowly making his way through the underground lower New York circuit. “[50 Cent] had this attitude like ‘I’m the man, and if you don’t like it I’ll kick the s*** out of you.’ I was 13 years old and I knew that’s what I wanted to do,” he said in be-

Tommy Frisina, right, along with fellow “Intellectuals” rapper Anthony DeMario, far left. --photo courtesy, Tommy Frisina

tween computer clicks. “So I wrote some terrible rhymes, but it all led up to who I am today.” From scribbling lyrics down in notebooks to a few talent show performances, Frisina started to make his own beats and come into contact with producers and other rap figures. Frisina’s current producer, Brian Daily, known by the alias “Born Dvine,” makes beats and produces for rap figures like Mobb Deep, Kool G Rap and multiple Wu Tang Killa Bees. While creating songs on his own, Frisina began to find other friends with the same interest and shared ideals as him. Thus “The Intellectuals” came about: a collaboration with fellow rapper Anthony DeMario, known as “Tony D.” The two focus on bringing a different

Style Corner, continued continued from page 10 Lourdes indefinitely has the inspiration from her famous mother on her side, lending a hand to her fabulous street attire. Madonna has already designed and lent her name to a line for H&M, so the all-around artist has been in action in the fashion industry before. Now, with a legendary mother and here daughter dueling the junior fashion department together, sales are sure to soar. Lourdes has been taking the reigns during the design process, which has many buzzing about the normally feisty Madonna relinquishing power to her teenage daughter. Lourdes has been the leader in the sewing, designing, and choosing the fabrics, showing the signs of an aspiring fashion designer. Having grown up around designers like Stella McCartney, Madonna’s first child has the intellect and artistry of the experienced behind her. She was introduced to haute couture showrooms at an early age and has seen firsthand the drawing boards of the best of the industry. With Madonna’s help and long array of famous contacts, Lourdes has learned only from the best. Perhaps this project for Macy’s is just another example of how parents will do anything for

their children. The line, being designed by the double threat, will be available for junior shoppers in August for the much-anticipated back-to-school shopping season. The lines’ designs will also be affordable for consumers, including accessories, shoes, and jewelry as well. The line will give Madonna fans and their children a chance to wear the clothes produced by an iconic team. “Celebrity turned fashion designer” is a popular occurrence in the world of entertainment. Gwen Stefani, Jennifer Lopez, Jessica Simpson, Eve and Sean Combs are just a few celebrities who have dove into the fashion world, with much success as well. However, Madonna and Lourdes are the first motherdaughter team ready to design a successful line that I have seen as of late. Lourdes’ adolescence makes the venture unique, but it also makes me a little skeptical of the line itself. I wonder how much Lourdes could possibly know about fashion design at such a ripe age. However as I mentioned before, with an icon (and mother) like Madonna on your side, I suppose designing a junior fashion line is just another day in the life.

perspective to the rap world. “Everything needs an opposite,” Frisina said. “We’re not from the ghetto or the slums, but the suburbs. Let’s go against the mainstream.” The group has created mixes of popular beats from more famous and current rap songs, as well as creating their own tracks to record with. The songs have focused on traditional contemporary rap topics as well as personal experiences and issues. Most recently Frisina has released a Quinnipiac-styled remix of “I Love College,” Asher Roth’s popular 2009 hit. While Frisina did create the song with QU in mind, he admits that’s not the purpose behind the rap game. “I guess it’s for me, and if

other people like it that’s cool,” he said. “The purpose is for music.” Along with rapping, Frisina plays the drums and bass, and is teaching himself guitar. While originally coming to Quinnipiac for film, he has changed his mindset toward public relations, referring to his skills with people and personas as a main factor in his decision. “I realized I’d be a lot better in PR,” said Frisina. “I’m just a people person. People tell me they’re comfortable when they talk to me.” Even though Frisina knows the rap game isn’t necessarily the way he wants to go with his life as much as a “fun hobby,” he’ll keep recording, mixing, and creating in his Larson bed room. It’s what he loves.


Sports

13

Coach’s Corner

The Chronicle

“We made the adjustments we needed to on offense and we were able to put points on the board.” - Danie Caro Women’s Lacrosse

April 7, 2010

WOMEN’S LACROSSE

Bobcats run wild over The Mount By Cassie Comeau Staff Writer The Quinnipiac women’s lacrosse team trounced Mount St. Mary’s, 13-5, on Saturday afternoon at the Quinnipiac Field Hockey & Lacrosse Turf Field to remain undefeated through its first five conference games. “We were fortunate to get a complete game out of everyone today,” Quinnipiac head coach Danie Caro The Mount 5 said. “Our defense Quinnipiac 13 played well again, and we made the adjustments we needed to on offense and were able to put points on the board.” The Bobcats controlled the scoring early on by netting 10 of their 13 goals within the first 30 minutes. Quinnipiac’s Chelsea Guerrera scored her first goal in the opening minutes of the game. Her second goal came 1:14 later, giving the Bobcats a 4-0 lead. Senior captain Katie Latonick assisted both goals and finished with five to add on to her league-leading 27 assists. Senior Lyndsey Banach and sophomore Devon Gibney contributed the other two goals within one minute of each other in the 4-0 run. Mount St. Mary���s made an attempt at a comeback when they shortened the Bobcats’ lead with a goal of their own. Sophomore Esther Rufolo scored unassisted at 22:36 of the half. The Bobcats stretched their lead to eight with five unanswered goals: two from Laura Iannotti, one by Christine Sinnigen,

Devon Gibney races downfield with the ball while being defended. one by Banach and one by Latonick. Latonick also assisted on two of those five goals. The first half concluded with two more goals by Mount St. Mary’s Ashley Johnson and Allie Fife and one by Quinnipiac’s Lianne Toomey, giving the Bobcats a 10-3 lead.

Buzzer buzz-kill MEN’S LACROSSE

Would-be tying goal waved off

game 1-1. Oppenheimer fed Kaiser the ball from behind the net. Kaiser netted the ball to give the Bobcats a 2-1 lead at 1:10. The Junior Jack Oppenheimer scored what Hawks bounced back with a goal with six appeared to be the game-tying goal as time seconds remaining in the quarter. expired, but the officials ruled that the shot Haggerty opened the second quarter came after the final buzzer as the Quinnipiac with a goal at the 11:10 mark. Hartford netted men’s lacrosse team lost to intwo goals at the 5:35 and 3:15 state rival Hartford, 10-9, on Quinnipiac 9 marks to take their first lead of Saturday at Yousuf Al-Marzook Hartford 10 the game. Dimond tied the game Field. With the loss, the Bobcats for the Bobcats by scoring a goal fall to 4-3 on the season while the Hawks with just over two minutes left in the quarter. improve to 3-6. The Bobcats took a two-goal lead in the “Unbelievable,” Oppenheimer said of opening minutes of the second half. Minor his disallowed goal. “It should not have come scored unassisted at the 12:34 mark while down to a final second goal when we gave up Oppenheimer scored less than a minute after. a lead in the fourth quarter.” Gast assisted on the goal. Oppenheimer scored a pair of goals Hartford attempted to come back as and added one assist while junior Christian Kevin Whelan scored to cut the deficit to Haggerty added a goal and three assists. one. Senior Mike Gast and sophomore Zach Pall Quinnipiac continued to build the lead both contributed a goal and an assist for the with goals by Oppenheimer and Pall. Haggerty Bobcats. Junior Ted Dimond, senior Todd assisted both Oppenheimer and Pall on their Kaiser, senior Alex Marotto, senior Alex goals at 5:26 and 4:52. DeAlmeida, and junior Matt Minor each For the game, Quinnipiac led the scored once in the game. Hawks in shots, 42-26. Both teams were even Within the first minute of the fourth in ground balls with 39 each. The Bobcats quarter, Marotto scored what turned out to won 9-of-21 faceoffs while the Hawks won be the Bobcats’ final goal to extend the lead 12-of-21. Quinnipiac went 0-for-4 on man-up to 9-5. Hartford went on a five-goal run in the opportunities as the Hawks went 2-for-4. fourth quarter to take the victory. The Bobcats return to ECAC action as Quinnipiac struck first as DeAlmeida they travel to Colorado Springs, Colo., to take scored an unassisted goal with 6:05 remaining on Air Force. Opening faceoff from Cadet in the first quarter. Within three minutes, Lacrosse Field is scheduled for 6 p.m. Hartford responded with a goal to tie the By Kelley Davies Staff Writer

The Mount opened up the scoring in the second half with an unassisted goal by Emily Kirby. Six minutes later, Latonick assisted Toomey’s second goal of the game. Two more goals by Gibney and Sarah Allen finished the Bobcats’ scoring.

Andrew Vazzano / Chronicle Quinnipiac goalie Lexi DeStefano stopped 11 shots, including seven in the second half. The Bobcats take on Wagner today at 4 p.m. in a Northeast Conference game in Staten Island, N.Y.


14

Sports The Chronicle

The Rundown Baseball Sacred Heart 8, QU 7 -Thursday Joe Poletsky: 2-for-4, 2 RBI Sacred Heart 11, QU 1 -Friday Mickey Amanti: 0-for-2, BB, R QU 8, Sacred Heart 2 -Friday Kyle Birdsall: W, 7 IP, 4 H, 2 ER, 2 BB, 6 K QU 10, Sacred Heart 6 -Saturday

Ben Farina: 4-for-5, 3 RBI

Softball

QU 8, Siena 7 -Friday Emily Bellush: W, 4 IP, 4 H, 3 ER; 1-for-3, HR, 2 RBI QU 3, Siena 0 -Friday Heather Schwartzburg: W, 7 IP, 4 H, 7 K QU 1, Bryant 0 -Saturday, F/9 Kelly Wall: Walk-off HR QU 6, Bryant 1 -Saturday Katie Allendorfer: 3-for-4, 3 RBI

Men’s Lacrosse

Hartford 10, QU 9 -Saturday Christian Haggerty: goal, 3 assists

Women’s Lacrosse

QU 13, Mount 5 -Saturday Katie Latonick: goal, 5 assists

Women’s Outdoor Track

UConn Invitational Amanda Duggan: 8th place in triple jump (10.21 meters) Becca White: 4th place in 5,000 meter (17:59.57)

April 7, 2010

SOFTBALL

Wall-k off By Michael Desjardins Staff Writer Sophomore Heather Schwartzburg earned two wins on Saturday for the Quinnipiac softball team after pitching dominantly against conference-foe Bryant University in a doubleheader. The first game went into extra innings in a scoreless tie, despite Quinnipiac’s eight hits against Bulldog pitcher Samantha Houseal through eight innings. Quinnipiac senior third baseman Kelly Wall broke the scoreless 0 tie with Bryant two out Quinnipiac 1 in the ninth when she crushed the first pitch she saw over the left field wall. Her second homer of the season gave the Bobcats (15-15, 2-2 NEC) a 1-0 win. Senior Emily Bellush started the first game for Quinnipiac. She went 5 1-3 innings, allowing only three hits and striking out two, before Schwartzburg came on in relief. Schwartzburg pitched the remaining 3 2-3 innings, striking out nine. Schwartzburg continued to dominate against the Bulldog lineup in the second game, as she pitched a complete game, her 13th of the season. She gave up five hits, one earned run and fanned six to add to her NEC-leading 164 strikeouts. The one earned run actually raised her season ERA to 0.99, which also leads the conference. The Bobcats took the second

Kelly Wall about to stomp on home plate after rounding the bases on her walk-off homer in the first game of a doubleheader against Bryant on Saturday. Andrew Vazzano / Chronicle game 6-1, led by senior catcher Murray doubled home sophomore Katie Allendorfer’s three hits and Lindsay Martin to tie the game. RBIs. But the tie didn’t last long, as Allendorfer started the Quinnipiac loaded the bases with scoring in the bottom the first three batters 1 of the inning. A wild of the third with a Bryant single to right-center, Quinnipiac 6 pitch scored senior scoring sophomore Kim Le Bel and senior Alex Murray from second base. Angela Casella delivered a double Bryant responded in the top to the right field fence, scoring of the fourth when freshman Kate sophomore Mina Duffy and junior

Joelle Jacobsen to give the Bobcats a 4-1 lead. Allendorfer provided even more offense in the bottom of the sixth, as she drove in Duffy and Jacobsen again with two out. The Bobcats are scheduled to play a makeup game at Fairfield today at 2:30 p.m.

BASEBALL

Freshman fuels split series with Sacred Heart By John Healy Staff Writer

After the Quinnipiac baseball team lost its first two games against Sacred Heart, the Bobcats came back to split the series behind two strong pitching performances. Freshman Alex Russow earned his first collegiate victory by pitching 8 1-3 scoreless innings out of relief in a 10-6 victory over the Pioneers on Saturday. Todd DeFrancesco started the game for the Bobcats, but surrendered six runs on five hits before leaving the game with just two out in the first inning. Russow stopped the bleeding, giving up just four hits in 8 1-3 innings. The Bobcats trailed 6-5 in the top of the eighth when Mickey Amanti drove in the go-ahead run with an RBI double to left field. Brian Ullrich followed with a tworun single to left and Ben Farina had

an RBI double to give the Bobcats a 10-6 lead. Joe Poletsky and Amanti each collected their 100th career hits and Farina went 3-for-4 with four RBI in the win. On Friday, Kyle Birdsall earned his first victory of the season for the Bobcats in an 8-2 win in the second game of a doubleheader. Birdsall gave up two earned runs on four hits, while striking out six batters in the complete-game effort. Five different Bobcat batters drove in runs, while Amanti had two RBI and Ullrich had the only multi-hit game, going 2-for-3 with a run scored. The Bobcats dropped the first two games of the series 8-3 and 111. On Thursday Michael Oskandy yielded eight runs, on eight hits in five innings for the Bobcats. Sacred Heart pitcher Chris Zaccherio retired the last 17 batters he faced for a complete game victory. Second

baseman Hunter Phillips provided the Pioneers with some power, as he hit a grand slam off Oskandy to give them an 8-3 lead in the fifth inning. In the first game of Friday’s doubleheader, Sacred Heart won 11-1 behind starter Jared Ballbach’s complete game. Ballbach kept the Bobcats off balance by only allowing one run off three hits in seven innings. Shortstop John Murphy went 2-for-5 for the Pioneers, driving in five of the team’s 11 runs. Farina drove in the Bobcats’ only run of the game with an RBI single in the third. The Bobcats QUChronicle.com improved their Visit us online for a game story on record to 3-17 the Brown game and 3-5 in the and full season coverage. NEC and will pick up action again on April 6 when they host Brown at the Quinnipiac Baseball Field.

Kyle Nisson (above) leads the the baseball team in average, onbase percentage and slugging. Charlotte Greene / Chronicle


Sports Extra Twitter.com/QUChronSports

15

April 7, 2010

GTW Softball sweeps Bryant BTN BYTHENUMBERS

GAMESTOWATCH Quinnipiac Bobcats

27

Assists for women’s lacrosse attacker Katie Latonick, equal to the total assists allowed by all of QU’s opponents this season.

Baseball

0.99

vs. Fairfield (9-14, 2-3 MAAC) Saturday, 1 p.m.

Earned run average for softball’s Heather Schwartzburg this season. She leads the NEC in the category by 0.21 runs per game.

Softball

vs. Robert Morris (1210, 4-1 NEC) Saturday, 1 p.m. (DH)

Men’s & Women’s Tennis

Clockwise from top-left: Kim Le Bel trots to first base; Emily Bellush winds up for a pitch; Joelle Jacobsen dives back to first base; Kelly Wall points to the sky after smashing a walk-off homer in Game 1 of the doubleheader; Wall set in a fielding position at third base. Andrew Vazzano / Chronicle

vs. Sacred Heart Friday, 2 p.m

Field Hockey

100

Hits collected by Joe Poletsky and Mickey Amanti in their QU baseball careers on Saturday.

11.8

Goals per game for men’s lacrosse in its last six games. The team is 4-2 in that span.

Longstrength Challenge vs. Yale Saturday, 10 a.m. vs. Boston College Saturday, 11:30 a.m.

Athletes of the Week

Alex Russow Heather Schwartzburg Baseball Freshman Pitcher #21 Milford, Conn.

Freshman right hander Alex Russow earned his first collegiate victory on Saturday in a 10-6 win over Sacred Heart. Russow relieved pitcher Todd DeFrancesco in the first inning and pitched 8 1-3 innings of scoreless baseball. Russow allowed just four hits and struck out six as the Bobcats rallied around his performance to get their third win of the season. Russow also nabbed Akadema/NEC Pitcher and Rookie of the Week honors. -quinnipiacbobcats.com

Next home game: Saturday, 1 p.m. vs. Fairfield

Softball Sophomore Pitcher #21 Mission Viejo, Calif.

Sophomore pitcher Heather Schwartzburg picked up both wins in a doubleheader against Bryant on Saturday. In Game 1, Schwartzburg relieved teammate Emily Bellush for 3 2-3 innings, striking out nine of the 12 batters she faced. The Bobcats won 1-0 in nine innings. In Game 2, Schwartzburg continued her dominance, as she struck out six batters and pitched her 13th complete game of the season in a 6-1 win. Charlotte Greene / Chronicle

Next home game: Saturday, 1 p.m. vs. Robert Morris (DH)


16

Sports The Chronicle

April 7, 2010

QU’s

‘Mecca’ Andrew Vazzano / Chronicle

of athletics

Thursday night at the TD Bank Sports Center in Hamden is game night for the Quinnipiac Bobcats men’s basketball team. The scoreboard reads 15:36 remaining in the first half, and the buzzer sounds at the scorer’s table, signifying a media timeout. ‘The Cupid Shuffle’ is blaring over the public address sound system. That’s Billy Mecca’s cue. By Corey Hersch

In a performance worthy of a “Dancing with the Stars” nomination, the 55-yearold Billy Mecca rises from his seat on press row and executes the dance step for step. Meanwhile, in the student section, a group of fans who have named themselves “Mecca’s Maniacs” rise as one to give Mecca a standing ovation. It’s all in a day’s work for Mecca, who, when he’s not moonlighting as Fred Astaire, serves as WQUN’s color commentator for QU’s men’s and women’s basketball teams. On a more routine basis, he is also Quinnipiac’s senior associate director of athletics, and is directly involved with many athletes, not just basketball players. “He knows all of us by name,” said junior Andrew Rinaldi, a pitcher on Quinnipiac’s baseball team. “You can really tell how much he loves the athletics here at Quinnipiac. He’s always walking around the rec center or he’s at our games. And he’s a pretty cool dude, too.” So how did the Bowie, Md., native go from a four-year basketball career at Niagara University to where he is now at Quinnipiac? “I go to Niagara University, and I have no idea what I want to do when I get out of school,” Mecca said. “Danny Raskin, who was the assistant [basketball coach], becomes the head coach my junior and senior year. And Danny Raskin had worked at Quinnipiac in the ‘60s.” When Mecca graduated in 1978, a spot opened up on the Quinnipiac coaching staff, and Raskin pointed Mecca toward Hamden. But as he would soon discover, his new job would entail much more than just a spot on the bench helping with the Xs and Os. “Burt Kahn, who was the A.D. and the basketball coach here, was looking to bring someone in. So, at a tender age of 21, I came to Quinnipiac,” Mecca said. “And in year one, I was Sports Information Director, Assistant basketball coach, Head JV Basketball Coach, tennis coach, Supervisor of Work Study, Assistant Instructor of Physical Education, and golf coach.” With a contract totaling $6,733 (“I was livin’ large,” he says), Billy Mecca set out to

start his new life at Quinnipiac College. In a enough for Mecca to replace Kahn, who at word, Mecca said working as an assistant for the time was synonymous with Quinnipiac Kahn was “intense.” athletics, but the fact that Kahn was still in “He was probably one of the toughest such close proximity to the program made it individuals you could ever be around, he that much more difficult. was the most “There was competitive always pressure “I want you to do well, but person I’ve ever filling his shoes it doesn’t matter to me if you because he made been around,” Mecca said. don’t do well. I’m here to help it known every “And in terms that I was you become a better person.” day of learning a filling his shoes,” job, it wasn’t Mecca said. Bill Mecca, Senior Associate Athletic Director just about “Burt, I think at basketball.” some point, was While serving as one of Kahn’s assistant envious of the fact that I was doing something coaches from 1978-1991, Mecca learned that he still wanted to do.” lessons that, as he said, were more than just In addition to his head coaching duties, about hoops. Mecca was now also the Associate Athletic “The one thing he always taught me Director. Add that to the looming presence that makes the most sense to me was: When of Kahn watching his every move, and it you have a job to do, when you have a task to wasn’t the greatest environment to coach a do, make sure you look back before you think basketball team. it’s over and say, ‘Could I have done anything “I never really got to spend 40 hours a better, or did I leave it perfect?’” Mecca said. week on basketball,” Mecca said. “And from age 23, 24, 25, that message has Mecca took the reins of the Bobcats never left me.” men’s basketball team starting in the 1991However, on the basketball court, there 1992 season. In his five years as head coach, were times where the two did not necessarily his teams compiled a 53-81 record. But when always see eye-to-eye. With two strong Quinnipiac made the announcement in 1996 personalities at odds like Mecca and Kahn, that they would be moving from Division II there was bound to be conflict. to Division I, Mecca had a decision to make. “They were tough years,” Mecca said. “At that point Jack McDonald had “Coach was a brilliant basketball guy, but there come in, Jack was our A.D.,” Mecca said. were times where winning the game wasn’t “It was clear in Jack’s organizational chart important to him. Burt would do some things that people who were coaching and doing in terms of, ‘I’m not going to play zone even an administrative job were old school. As we though you can’t shoot; I want to beat you were moving to Division I, Jack felt it was with the best stuff.’ So, I learned an incredible very important that if you’re a coach, you’re lot, but there were days I would tell you it was a coach and if you’re an administrator, you’re incredibly frustrating for me.” an administrator.” Then, in 1991, 13 years after he first Even though Mecca had devoted the last walked in the door at Quinnipiac, Mecca got 18 years of his life to Quinnipiac basketball, his big break. Kahn stepped down, albeit his choice was not as difficult as one might reluctantly, from his head coaching position. think. Quinnipiac President John Lahey felt a change “It was easy for me, at that point, to was needed, and asked Kahn to focus solely step away from basketball because to be a on his duties as Athletic Director, appointing Division I basketball coach, you have to be Mecca as Kahn’s replacement. It was hard willing to work 365 days a year,” Mecca said.

“I got to the point where, after being involved in basketball here for 18 years, that there was more to Billy Mecca than being a basketball coach.” Mecca’s bio on the Quinnipiac Athletics Web site reads, “Mecca is responsible for all internal operations of the department, including supervision of scheduling, facilities, game officials, game operations and sports medicine.” What that description fails to capture is how Mecca can connect with student-athletes on a much more personal level. “It’s good for me to be able to have a conversation with an athlete that has nothing to do with how well you’re playing,” Mecca said. “I want you to do well, but it doesn’t matter to me if you don’t do well. I’m here for you to help you become a better person.” It’s that attitude that has made Billy Mecca a fixture of the Quinnipiac athletic department for the last 32 years. And the man with the southern twang in his voice who’s rarely seen without a smile wouldn’t have it any other way. “Quinnipiac’s my home. I got my wife, I got my two kids, but clearly Quinnipiac is a close second behind them,” he said. “It’s been an incredible journey, and I hope it continues for an extended period of time.”

Andrew Vazzano / Chronicle


Issue 21